Apply file operations to a site bundle
POST
/sites/{api_name}/file-operations/
Apply file and directory operations atomically against the active bundle.
For put file operations:
- Get a presign:
POST /sites/upload-batches/presign/withfile_intents(client_refcan be any unique id;file_nameis the staged basename). - Upload bytes to S3 using
files[].upload_urlandfiles[].upload_fieldsfrom the presign response (seePOST /sites/upload-batches/presign/). - Apply the put:
POST /sites/{api_name}/file-operations/withbase_bundle_idset to the site'scurrent_bundle_id, and anoperationsitem{ op: put, kind: file, path: <bundle dest>, file_id: <files[].file_id> }.
Required Scopes
- sites.read-write
Request
Path Parameters
api_name stringrequired
The unique api_name of the site.
Example: employee_portal
Responses
- 200
Successful response
Loading...